set(NumSubdirLevels 1)

set(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_DIR}")
foreach(i RANGE 1 ${NumSubdirLevels})
    get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
    if(_IMPORT_PREFIX STREQUAL "/")
        set(_IMPORT_PREFIX "")
        break()
    endif()
endforeach()

if(CMAKE_SIZEOF_VOID_P EQUAL 8 OR "${CMAKE_VS_PLATFORM_NAME}" STREQUAL "x64")
    set(BinArch bin64)
else()
    set(BinArch bin)
endif()

add_library(syncAXIS::syncAXIS SHARED IMPORTED)

set_target_properties(syncAXIS::syncAXIS PROPERTIES
                      IMPORTED_LOCATION "${_IMPORT_PREFIX}/syncAXIS_control/${BinArch}/dll/syncAXIS.dll"
                      IMPORTED_IMPLIB "${_IMPORT_PREFIX}/syncAXIS_control/${BinArch}/lib/syncAXIS.lib")

target_include_directories(syncAXIS::syncAXIS INTERFACE "${_IMPORT_PREFIX}/syncAXIS_control/include")

set(syncAXIS_PACKAGE_DIR "${_IMPORT_PREFIX}")

file(GLOB_RECURSE syncAXIS_DLL_FILES
     "${_IMPORT_PREFIX}/syncAXIS_control/${BinArch}/dll/*.dll")

set(syncAXIS_RTC_PROGRAMFILES_DIR "${_IMPORT_PREFIX}/RTC6/ProgramFiles")

set(syncAXIS_CONFIGURATION_TEMPLATE "${_IMPORT_PREFIX}/syncAXIS_control/syncAXISConfig.Template.xml")